Summary: New mail notification utility
Name: kbiff
Version: 4.0
Release: %mkrel 1
Source0: http://prdownloads.sourceforge.net/kbiff/%{name}-%{version}.tar.xz
Source1: kbiff.desktop
License: GPL
Group: Graphical desktop/KDE4
Url: http://www.kbiff.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs4-devel

%description
KBiff is a "biff", or new mail notification utility. It is highly configurable
but very easy to use and set up. It tries to combine the best of the features
of most of the "other" biff programs out there. KBiff supports all major
mailbox formats: mbox (Berkely style), maildir, mh, POP3, IMAP4 and NNTP.

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

#MENU Files
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kbiff.desktop


%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%_kde_bindir/*
%_kde_libdir/*.so
%_kde_applicationsdir/*.desktop
%_kde_appsdir/%name
%_kde_iconsdir/*/*/*/*
%_kde_mandir/man1/*.1*
%{_datadir}/doc
%{_datadir}/locale

%changelog
* Tue Mar 22 2011 Texstar <texstar at gmail.com> 4.0-1pclos2011
- import into pclos

